summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-04-05 09:47:26 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-04-05 09:48:02 -0500
commit90a3b5060d6fc4e307ffb067a99985ff318c7560 (patch)
tree5370ce466acd83e8714c7e1bea0537667bdcc5b1 /dev-python/bandit
parentsys-kernel/linux-firmware: Stable for HPPA (bug #573130). (diff)
downloadgentoo-90a3b5060d6fc4e307ffb067a99985ff318c7560.tar.gz
gentoo-90a3b5060d6fc4e307ffb067a99985ff318c7560.tar.bz2
gentoo-90a3b5060d6fc4e307ffb067a99985ff318c7560.zip
dev-python/bandit: bup
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-python/bandit')
-rw-r--r--dev-python/bandit/Manifest1
-rw-r--r--dev-python/bandit/bandit-1.0.1.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 0f13e0df3f2..a1ba3e3ff17 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -5,3 +5,4 @@ DIST bandit-0.13.2.tar.gz 68888 SHA256 ef78c4dda20f758f95aca467fbb6609a696b6df13
DIST bandit-0.14.1.tar.gz 95300 SHA256 d44581faf87271b60a7f103aead3aca6a22b3778707c44bf39fd673d2c1e4cc3 SHA512 fd02fd9e443f6376c43b7e4a1782b72847351acedc048cfaac63be4365f876d76ae6ae67dfc2fb838621efe4e943037fa88f9a2b71d613abf695f93b88ac5bf0 WHIRLPOOL 2666e21db6ac9d15120cacd3296368d1ef4033c1e1d83f16676300115ab8a21a59a6c94252e1cee888acea97f6ab7c45daaf353afdab25a7955cc4687b8f0407
DIST bandit-0.17.0.tar.gz 118504 SHA256 3cc663a498bac972064f1b28643d6467dcbee7d63dec14df606e239ca824cd98 SHA512 8451be00bbce537cc338bb6880cd3cbb1b61f3dd800d84db5ef461ee863b343b0c5e4949feeb4747faf30c727e7f65ebbe0ad34efa83daa030e2800a4e2c93f5 WHIRLPOOL 7102b0880733092642555ee7b186ddbd63bb8ae2d6ced4022c75861234989eaabbad8d5a2dd8398a4b21d1a3e29f2ee3467a8adedd6f355354718dc6fe90ff55
DIST bandit-0.17.3.tar.gz 116274 SHA256 8ca87dfba904ac42d72b35c033f8473f31d0b575da69966014d73b3f6f908f36 SHA512 c34e41718d0ff96cc2c19201211168abc839d07e3ec562a8d3cc2fc927e4ff87443d156181a1066a197e2c85192b17f2fcf25c8d86c3f61d367afaf36c3fd74a WHIRLPOOL ec42b70ae40d19080540f4dbf68d9f2eb92be2880dd4d557eead27e6bb8e408d89b52923856229c2b60222af2113d44d67dd6361a8257db3abf09faaf8fd75f3
+DIST bandit-1.0.1.tar.gz 130662 SHA256 3d3a88bf82375cd18ab889c2bf86dcf840798c74a1a6b8d3015071d9ebf2dcd7 SHA512 47e82de934d1f7b28d4d9acbc33b7cd704bab9332b1ef5815e8f6f8b6c99763b758716782ae0a6b0a7db393e0ec6d619c9c3c70e2e645f23dff28b0de04250d2 WHIRLPOOL f0df1e05bce8c6ee0909ceae6bba0c5f7591a229f99c7c38a726460fb363720a28d87fc47aaa197d00b84c01b3b570a61da82c1902f4b4611b332e2b6d0fb9ad
diff --git a/dev-python/bandit/bandit-1.0.1.ebuild b/dev-python/bandit/bandit-1.0.1.ebuild
new file mode 100644
index 00000000000..d35dfc5007b
--- /dev/null
+++ b/dev-python/bandit/bandit-1.0.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+
+inherit distutils-r1
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="https://openstack.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDEPEND=">=dev-python/pbr-1.8.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/hacking-0.9.2[${PYTHON_USEDEP}]
+ <dev-python/hacking-0.10[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/git-python-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]"
+
+python_test() {
+ testr init
+ testr run || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${D}/usr/etc" "${D}/" || die
+}